{
  "name": "h5-v2-template",
  "version": "1.0.0",
  "private": true,
  "author": {
    "name": "鹏多多",
    "email": "993080086@qq.com",
    "url": "https://github.com/wp993080086"
  },
  "scripts": {
    "serve": "vue-cli-service serve --mode development",
    "build": "vue-cli-service build --mode production",
    "build_test": "vue-cli-service build --mode test",
    "lint": "vue-cli-service lint",
    "lint-fix": "vue-cli-service lint ./src --ext .vue,.js",
    "prepare": "husky install"
  },
  "dependencies": {
    "@vue/composition-api": "^1.7.2",
    "axios": "^1.7.7",
    "crypto-js": "^4.2.0",
    "echarts": "^5.5.1",
    "echarts-map": "^3.0.1",
    "html2canvas": "^1.4.1",
    "jsonp": "^0.2.1",
    "qrcodejs2": "^0.0.2",
    "qs": "^6.10.3",
    "swiper": "4.5.1",
    "swiper-vue2": "^1.0.10",
    "vant": "^2.12.48",
    "vue": "^2.6.14",
    "vue-awesome-swiper": "3.1.3",
    "vue-cli-plugin-windicss": "^1.1.6",
    "vue-cropp": "^1.1.8",
    "vue-echarts": "^7.0.3",
    "vue-router": "^3.5.4",
    "vue-seamless-scroll": "^1.1.23",
    "vue2-preview": "^1.0.5",
    "vuex": "^3.6.2",
    "weixin-js-sdk": "^1.6.5",
    "windicss": "^3.5.6"
  },
  "devDependencies": {
    "@babel/core": "^7.12.16",
    "@babel/eslint-parser": "^7.12.16",
    "@vue/cli-plugin-babel": "~5.0.0",
    "@vue/cli-plugin-eslint": "~5.0.0",
    "@vue/cli-service": "~5.0.0",
    "@vue/eslint-config-airbnb": "^5.0.2",
    "autoprefixer": "^10.4.7",
    "babel-plugin-import": "^1.13.3",
    "compression-webpack-plugin": "^6.1.1",
    "core-js": "^3.23.2",
    "eslint": "^7.32.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-import": "^2.25.3",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-vue": "^8.0.3",
    "eslint-plugin-vuejs-accessibility": "^1.1.0",
    "husky": "^7.0.2",
    "lint-staged": "^11.1.2",
    "postcss-px-to-viewport": "^1.1.1",
    "prettier": "^2.7.1",
    "sass": "^1.53.0",
    "sass-loader": "^13.0.0",
    "style-resources-loader": "^1.5.0",
    "vue-template-compiler": "^2.6.14",
    "webpack-bundle-analyzer": "^4.5.0"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "parserOptions": {
      "parser": "@babel/eslint-parser"
    },
    "rules": {}
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead"
  ]
}
